## Get all sku-lists excluded from discounts

### cURL

```
curl --request GET \
  --url https://live.copilot.fabric.inc/api-offers/sku-list \
  --header 'Authorization: Bearer <token>' \
  --header 'x-site-context: <x-site-context>'
```

### Python

```
import requests

url = "https://live.copilot.fabric.inc/api-offers/sku-list"

headers = {
    "x-site-context": "<x-site-context>",
    "Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)
```

### JavaScript

```
const options = {
  method: 'GET',
  headers: {'x-site-context': '<x-site-context>', Authorization: 'Bearer <token>'}
};

fetch('https://live.copilot.fabric.inc/api-offers/sku-list', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```


```

### Response Codes

#### 200

```json
{
  "query": {
    "limit": 10,
    "count": 150,
    "offset": 0
  },
  "data": [
    {
      "_id": "614b58924e92f6861ac9d43b",
      "title": "GlobalExc_1",
      "listType": "GLOBAL_EXCLUSION",
      "applicableOn": [
        "PRODUCT_PRICE"
      ],
      "targetProducts": [
        {
          "kind": "SKU",
          "value": [
            1000000123
          ]
        }
      ],
      "startDate": "2022-05-04T09:23:51.459Z",
      "endDate": "2099-12-31T00:00:00.000Z",
      "deleted": false,
      "createdAt": "2020-12-14T12:15:43.646Z",
      "updatedAt": "2021-12-14T12:15:43.646Z"
    }
  ]
}
```

#### 400

```json
{
  "code": "BAD_REQUEST",
  "message": "Bad Request"
}
```

#### 500

```json
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error."
}
```

### Authorizations
- **Authorization**: Bearer authentication header of the form `Bearer <token>`, where `<token>` is your auth token.
- **x-site-context**: A JSON object that contains information about the source you wish to pull from. The mandatory `account` is the 24 character identifier found in Copilot. Example: `{"date": "2023-01-01T00:00:00.000Z", "channel": 12, "account": "1234abcd5678efgh9ijklmno","stage":"production"}`.

### Query Parameters
- **limit**: The maximum number of records per page.
- **offset**: The number of records to skip before returning records.
- **date**: Date that lies between start date and end date of active time of the excluded SKU-list.

### Response
#### 200
- **query**: Paging details used for selecting list
- **data**: Response data.
